Skip to main content
POST
/
subscription
/
test-clocks
/
{clockId}
/
advance
Advance test clock
curl --request POST \
  --url https://uat-api.clinkbill.com/api/subscription/test-clocks/{clockId}/advance \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>' \
  --data '
{
  "targetFrozenTime": 1755078906689
}
'
{
  "code": 200,
  "msg": "success",
  "data": {
    "taskId": "<string>",
    "clockId": "<string>",
    "subscriptionId": "<string>",
    "fromTime": 123,
    "toTime": 123,
    "lastEventId": "<string>",
    "lastEventTime": 123,
    "summary": "<string>",
    "errorMessage": "<string>",
    "createTime": 123,
    "updateTime": 123
  }
}

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Path Parameters

clockId
string
required

Unique identifier of the test clock

Body

application/json

Parameters required to advance a test clock

targetFrozenTime
integer<int64>
required

Target frozen timestamp in milliseconds since Unix epoch

Response

Test clock advance task created successfully

Response object returned for a test clock task

code
integer<int32>

Response status code, 200 when success

Example:

200

msg
string

Brief description of what happened, 'success' when happy case

Example:

"success"

data
object

Test clock advance task details